

It was midsummer 2005. I was sitting outside on the back steps of my house talking on the phone to a dear friend of mine who lived in Oregon. It was late in the day and my former husband had just gotten home from work. He was an electrician at one of the plants in the area. He had walked pass me as I was sitting there on the concrete steps and it had just begun to rain. I heard thunder in the distance so I asked him, as he walked pass me going into the house, if I would be safe talking on a cordless phone during a storm. He said I would be fine, so my friend and I continued talking as he went into the house to change clothes. About five minutes later, I heard a loud crack, just as a lightning bolt came from the angry sky, hitting my right arm. I felt the searing pain as the lightning passed through my body, knocking me to the ground, and leaving char marks on the concrete steps where my feet were and where my rear end was on the steps.

After passing through me, it traveled under the house and blew out the transformer that was directly in front of the house, rendering the entire neighborhood with no power for about 4 hours. I remember being in shock, feeling very strange, feeling very disoriented, very disconnected. Shaking all over, I was sweating and sick at my stomach, and the pain in my arm and my chest was unbearable. The reason the house seemed unfamiliar was because after my spirit had left my body and gone into the house for that short period of time prior to going into the clouds, what I saw was very confusing because although it was my house, all the furnishings were not mine. They were from a completely different time period, it was as though I had been transported back in time to maybe the 1920s or 1930s. I could not believe what had just happened.

I was on the ground and felt my spirit lift up out of my body. I floated into the house and I was looking around. Everything looked so strange and nothing looked right. Everything had a burnt yellow color to it, even the air. Then I noticed that the furniture in the house was not my furniture. I immediately looked at the lace curtains on the windows; they were not my curtains. I was beginning to feel frightened. There was no one in the house. Where did my husband go? Where did my children go? I could not find anyone, and there was no electricity. The transformer was blown, yet I could hear what sounded like an old time radio program playing. I wasn't floating anymore. I walked through the rooms looking for whatever it was that was making the sound, but I never could find it. This must have only lasted for a couple of minutes, but time seemed to stop and things seemed to be moving in very slow motion.

Then, I found myself totally enfolded within the most beautiful fluffy pink and gold clouds. They were so magnificent! I was in awe of such beauty. I felt such a deep sense of peace and a sense of total and complete love. It was so big, so huge, so complete, and so deep. I felt like every pore of my body was open and I was soaking all of the peace and love into them. I was just basking in this deep beautiful love. I felt whole, complete, and totally accepted. I had no idea what was happening. I was moving laterally through these gorgeous clouds. I did not have a sense of moving up or down. I could feel this huge presence all around me. It was such a loving presence that was pouring love onto me and into me. It was a love like I have no words to explain. It was so beautiful! It brings tears to my eyes, even now.

Then, two men appeared and stood one on either side of me. They were young men, maybe in their 20’s or early 30’s. They had blond hair and blue eyes. They wore what looked like cream-colored linen clothing. There was a brilliant glow around them; they seemed to be illuminated, and their joy seemed to pour from every cell in their bodies. I noticed the linen clothes they wore were very detailed. It was a very tightly woven cloth and very soft to the touch. I could see the tiny weave pattern of the linen. Why that seemed important, I do not know, but it stood out very clearly. At first, I thought these men were angels, but, then, I realized who they were. These two men were my younger brothers who had died as babies. I was only age 1 when my first brother died shortly after birth and I was age 2 when my mother lost the other one due to a miscarriage although she was far enough along to know she was having a boy. I knew of these men but was too young to have remembered anything about them. My parents never spoke of them.

We were so happy to see each other; it was like a family reunion. They had beautiful smiles and they both looked so much like my dad. I knew he would be so proud of them both. I felt at ease as they led me from the clouds to a beautiful garden that was to the left of a huge, glorious city.

As I looked around, I noticed that the colors were so bright and vibrant, and the air was sweet and clear. I could hear birds singing. I heard water running, like there was a stream nearby. There were trees and flowers, and the grass was cool and soft on my feet. I felt a soft, silken breeze touch my skin. As I stood in this breathtaking place, I felt a huge presence all around me just pouring love out onto me. I felt such joy and all I could do was stand there in awe at the beauty and the love that was all around me.

By this time, I was given the information that I had died and was entering Heaven. It was like an infused knowledge. It was given as a simple fact. There was no feeling of fear or shock. I felt like I was floating. It felt good, so I didn’t fight it. Then, as people gathered around me for support, I was given my life review. I was shown my life; everything I had ever said and done was shown to me. It was like watching a black and white movie on a reel. There was no feeling and no judgment at all. It was right then that I learned that God does not judge us. We judge ourselves, standing there before Him in all of His glory and perfection while we watch our lives pass in front of us.

For me, all He did was love me throughout the review of my life. Not a word was said, and it was over in a blink of an eye. It was after the life review that I heard a male voice say, 'What you put out into the universe will come back to you'. As I stood there in the garden, I noticed once again, how beautiful and brilliant the colors of the flowers, the trees and the grass were. The reds were redder, the pinks more pink, and yellows more yellow. The colors were so much more vibrant than any colors I had ever seen. The air was sweetly fragrant. It was so clean and clear. The grass felt cool to the touch, like on a beautiful spring day. There were birds singing in the trees, and I saw a stream where the water glistened like diamonds in the sun as it flowed over the rocks. I heard music, which was more beautiful than anything I had ever heard before. It was then that I noticed everything had its own pitch or sound. The trees had a sound, the leaves on the trees had their own sound, the grass had a sound, the rocks had their own sound, the water had yet another sound, and so on; and, when you take all of those individual sounds and put them all together, it sounded like the most magnificent symphony and choir ever created, and what’s even more amazing, was, everything and everyone in Heaven was singing praises to God.

It just poured out of every leaf, rock, blade of grass, and every bird. It was the most beautiful sound I have ever heard. I can still hear it, even now, after all these years. It is like a song in the wind. Every now and then, I still hear the Heavenly music, as the breeze blows through the leaves on the trees. It carries me back there and I feel that deep, all encompassing love again. It heals my soul and my spirit soars. There is no time in Heaven, so I have no idea how long it took for each different step of this journey.

On one hand, it seemed like everything happened so fast, and, on the other hand, it seemed that time stood still. I began feeling as if I was attached to a giant IV bottle of knowledge. I was being fed all this knowledge, and I didn’t even have the words to ask the proper questions. I felt such joy and elation; it was one 'Aha' moment after another. And, it all seemed so simple and so logical. I remember at one point saying with a huge smile on my face 'Wow, is that all there is to it? That is so cool.' God, you are so awesome! We are the ones who make everything so complicated. I saw angels, and they spoke to me showing me a lake and, in the lake, they showed me future events that would take place on earth; which have, in fact, taken place.

I also remember, I looked down the front of my body. I could see that I still had a body and it looked the same as it always had. I had on the same clothes as before and I noticed my long blond hair falling down below my shoulders. I could see my jean shorts and my feet. But I also noticed that my body felt much lighter, it felt kind of 'floaty'. It was not heavy, like it is here on earth. On earth, we are weighted down with gravity. Everything seems very heavy, but there it was a light body. And I also noticed that I was no longer concerned about my body, how it looked, or if I fit in or not.

I know I keep saying it, but all I felt was huge love and total acceptance. It was so amazing! There were people everywhere. Everyone looked young, and no one was sick. Then, Jesus walked up to me. He was tall and so beautiful! His hair was dark and wavy, and very long down to his waist. His skin was dark and his eyes were a warm, liquid-brown. Jesus had a smile that melted my heart. He told me that He loved me, that He had walked beside me every day of my life. He told me that He had never left my side and never would leave my side, not ever. Jesus told me not to be afraid. I just stared at Him. I couldn’t speak, he was so beautiful. And, to think He actually died for me. I was speechless, as he stood there declaring His love for me.

Then I moved to the edge of the garden to what looked like a wooded glen. I could see golden sunbeams pouring through the branches of the tall oak and pine trees. I noticed a log lying next to a stream with little flowers dotting around it here and there. There were pine needles and a few pine cones scattered about. I went over to the log and sat down listening to the water as it danced across the rocks. When I looked up, I saw a man sitting on the other end of the log next to me. The air was cool and comfortable and I could hear the birds singing their sweet songs. I knew the man was God. He had shoulder length dark, curly hair, a neatly cut beard, beautiful blue eyes, and a happy smile. He was about 6 foot tall and He wore a white robe and sandals. We sat there on the log together for the longest time just talking. He had a wonderful laugh and such sparkling happy eyes. He became silent for a moment. Then He turned and faced me. He looked into my eyes and in a quiet, gentle voice, He asked me 'What would you do if it were just me and you?'

I looked at Him and asked, 'What do you mean?' He smiled and was so patient, like a father with a young child. He asked me again, 'What would you do if it were just me and you?' I looked down at my hands in my lap and I thought for a minute and then looked at Him again and said,' I don’t know what you mean.' He was still smiling and He very patiently explained, 'No parents, no children, no husband, no friends. Just me and you, no one else.' Looking into His beautiful face, I shook my head and kind of stuttered, feeling a bit intimidated and unworthy all of a sudden. I said, 'No, I would drive you crazy after the first ten minutes with all my questions and chatter and then you would not like me very much, if it was just me and you.'

He just smiled at me. He was so patient and so loving. So gentle, in fact, that those feelings of inadequacy had began to disappear. He then got up and motioned for me to follow. We walked a short distance. Then, He showed me the whole universe with no one in it. There were no people, no buildings, no cars, no animals, and no trees. There was nothing but swirling, rainbow-colored gases, sparkling diamond stars, and spinning planets. It was breathtakingly beautiful, but it seemed so huge. I never realized how big the universe really was. It seemed like within a second we were back again sitting on the log by the stream and He asked me once again, 'What would you do if it were just me and you?' I was at a loss for the right words to properly answer His question. He waited.

I found myself looking at a very large oak tree that was in front of me. I saw the details of the trunk and the little life-giving veins in the tender leaves and the roots beneath the ground. What I saw was not just a tree, but the individual parts that made up the whole tree. And I saw how important all these parts were to the life of the tree and how important the tree was to the environment around the tree and then I could see how all things are connected to each other and that every part was important in its own way. I studied this for a few minutes, feeling that my noticing this was exactly what God had planned and that this was a very big part of understanding what God was trying to teach me. Then, I answered Him.

Now, I have no idea why I would have answered Him in this manner since I have never read the Koran in my life, I have never even seen the book nor do I know anything about the Islam faith, but I said, 'God, your hundredth name in the book of the Koran is God is everywhere, God is nowhere and God is in me.' He said, 'Yes, that is right, that it is, And. . .?' I looked at the tree again then back at Him and said, 'God, You made this tree, you are in this tree, so when I look at this tree I see you.' He looked at me smiling that beautiful smile and He said 'Yes, and…'

Then I began thinking about my parents and I said 'God, You made my parents, you are in my parents, so when I see my parents I see you.' Again, He said 'Yes and…' He was trying to get me to think further. So I began thinking that there are people in this world who are cruel to others and there are those who have hurt me. I don’t particularly care for these people so I said, 'God, There are some people who I don’t really care for because they hurt others, but you made these people, you are in these people, so when I see these people, I see you'. He again smiled at me and He said, 'Yes, that is right. Now, I have a question for you. When you look in the mirror, what do you see?' I looked down again at my hands and I thought for a moment, my normal response would have been something like, 'I see me; No one special. Just me.' But then I looked into His beautiful eyes and those feelings melted away because of the deep love I saw there. Then, I said, 'God, You made me, you are in me, so when I look in the mirror, I see you' He said, 'Yes, that is right.' He seemed so happy and He was smiling from ear to ear. And I could feel His joy and His deep love surrounding me. I was completely immersed in His love as He looked at me. To me, this was so big. I could feel the hugeness of this revelation; I could feel it just spinning in my heart and mind.

I can see the beauty of God so easily in others all around me, but it is much more difficult to see God’s beauty in myself. I find, even now, I have to remind myself that I am special and that I am beautiful. Each and every one of us is special to God. He made us; He is in us. He doesn’t make mistakes and he doesn’t make junk. To Him we are all important, we are all beautiful. He sees us with perfect love. We are imperfect beings who He loves perfectly. Perfect love makes our souls shine so beautifully. What I had to learn was that real beauty shines from deep within the soul. External beauty fades with time, but real beauty comes from inside and never fades because it is internal and eternal. I had to learn that my worth as a human being isn’t dependent on what others think of me or whether they were happy with me or not. I also needed to learn that happiness doesn't come from an external source. In order to be truly happy, it has to come from inside my own heart. To God, I am me; that’s all, just me. In His eyes, I am a perfect being 'just me'. My worth is in being who God made me to be. I don't have to make everyone else happy. What God wanted me to know was that He is always happy with me. What I have to do is be happy with myself and find Joy in my life. I have to stop worrying about what everyone else thinks. I need to see His beauty in myself.

We finished our conversation and then we got up. We started walking through the forest and were met by two beautiful, ornately-gowned women who led me to a calm, serene lake at the end of the wooded area. The two women I knew were angels and they began showing me what looked like moving pictures of future events that would take place on the earth. What was shown to me were the events surrounding the 911 attacks and other terrorist attacks against our country as well as our financial institution crumbling or better said our money not being worth the paper it is written on. I was shown silver and gold coins being used to purchase things. They said that in time, we would be going back to the barter system as we had done long ago in the past. They showed me many natural disasters, such as earthquakes, volcanoes, tornadoes, and storms, and 6 huge waves of water covering the land. I saw the one in Japan, one in Indonesia, and also one in Chile.

I saw a woman in Canada who had a little boy in her car and her car went off the road because of flood waters and her car was immersed under the water and they were drowning. God sent angels in the form of people to pull them out but the boy had already passed away. They told me he would survive however, and he did. She went on to promote a spiritual video series.

They showed me the government and how they are destroying the peace in our world and how corrupt they are. They showed me the darkness that surrounds them. They showed me different governments being overthrown and huge riots in the streets. They showed me one particular riot where a man was throwing something through a storefront window and there was a building nearby that was on fire. I also heard the sound of gunshots. They showed me the pockets of light that are still left in small sections called 'safe havens.' These havens are mostly these areas are in the mountainous regions. They showed me how to see the dark clouds around the lands to know where the safe havens are located. The last thing they showed me was a silver ribbon splitting the united states apart. I was given knowledge that this ribbon was a river, I am assuming it was the Mississippi River, but they gave me no explanation as to the meaning of this ribbon other than the ribbon gets larger.

The truth is, to this day, when these things happen I am still as shocked and surprised as anyone that they actually happen the way that the angels showed me. It's only after the fact, that I realized, 'Oh my gosh, that's what they showed me.' It seems so incredible to me. I don't know why they showed me those things. What was I supposed to do with the information? They didn't say, so I just wait to see what would happen next. When things did happen as they said it would, I was and still am amazed by it. I'm sorry I can't predict the future. I really don't want to. However, sometimes, I will get flashes of that 'IV bottle of knowledge' and I might know something a day, a week, or maybe a month before it happens. I might get a dream about it or see it in a vision before it happens. Then, I pray. Everything that the angels have showed me in my NDE about future events so far has come to pass.

When my experience ended I was lying on the ground in my back yard, right next to the steps where the lightning had hit me. I could see the phone had been knocked out of my hand lying and was on the opposite side of the patio. It was all burnt and black. I also saw the black char marks on the stairs where my feet were and where my rear end was on the stairs. After I returning from my NDE, I lived in a complete state of bliss or oneness with God for about the first six months. I have a much stronger faith now than before. I'm not religious but have a much more deeper relationship with God. I have visions and I see, smell, and hear spirits. Many relationships have changed, been divorced and remarried. Right after my NDE, I had a spontaneous Kundalini awakening. At first, I was unable to go into stores, churches, or crowded places because I could feel the energy waves of other people. The bright lights, loud music, or dark colors would make me ill.

I seem to attract lightning. I have been hit a total of four times; twice by ball lightning and twice by lightning bolts. I was hit by lightening at ages 40, 43, 44, and 46. The first time was ball lightning that came through the side window, in the den through the cracks in the window. It rolled across the floor and zapped my hands while on a computer. The second time was my near death experience with a lightning bolt. The cardiologist said I had minimal heart damage as a result of the strike and was lucky to be alive. He said I have a Right Bundle Branch Block as a direct result of the lightning strike. The third time was another ball lightning that came through the front window in the living room as I was watching TV. It rolled across the couch, hitting me in the back of my head. The fourth time was another bolt that hit the ground, traveled under the house, through the curling cord and fused the curling iron to my hand.

I was in a marriage that was extremely abusive. After my near death experience I got a divorce and the lightning strikes stopped. I think God was trying to wake me up to important truths. I'm not really sure though. I could be wrong.

Right after my NDE, I had so much energy that I went 11 days with no sleep. I read everything I could get my hands on. I loved everything and everyone. I still do, but I'm a little more careful now. It has been 10 years so I have adjusted

Some additional comments:

Not long ago, I spoke to a professor of Islamic mysticism. He was interested in my NDE, the 100th name of God, and how I knew God's name. Since I don't know a thing about the Koran, he explained to me that in the book of the Koran there are only 99 names of God written down but the 100th name of God is known only by the holiest of holies. It is never spoken or written down. So he asked me how come I knew it? It had to be God that put knowledge into my mind and as I spoke it, God said that it was correct.

Reflecting about my conversation with God, I feel he was teaching me a huge lesson. He created everything and He is In everything. No matter what God wanted me to know, at that moment He loved me. He had made me: He was in me. And when I looked in the mirror, I saw Him. I can see the beauty of God so easily in others all around me now, but it is much more difficult to see God’s beauty in myself. I find, even now, I have to remind myself that I am special and I am beautiful. Each and every one of us is special to God. He made us, He is in us. He doesn’t make mistakes and he doesn’t make junk. To Him we are all important and we are all beautiful. He sees us with perfect love. He loves me and he loves you, COMPLETELY. We are imperfect beings whom He loves perfectly. Perfect love makes our souls shine so beautifully. What I had to learn was that real beauty shines from deep within the soul. External beauty fades with time; it does with all of us; but real beauty comes from inside and never fades. It is internal and eternal. I had to learn that my worth as a human being isn’t dependent on what others think of me, or whether they were happy with me or not. I also needed to learn that happiness doesn't come from an external source. In order to be truly happy, it has to come from inside my own heart. To God, I am me. That’s all, just me. In His eyes, I am perfect being 'just me.' My worth is in being who God made me to be. What God wanted me to know was that He is always happy with me. What I have to do is be happy with myself and find Joy in my life. I have to stop worrying about what everyone else thinks. I need to see His beauty in myself.

